GET Available borrows
Get all borrowable token and max token amount that MM is able to borrow. The token amount depends on the collateral amount, max leverage, and available token in aqua vault.
get
Query parameters
addressstringRequiredPattern:
The address of the market maker
^0x[a-fA-F0-9]{40}$chainstring · enumRequiredExample:
Native blockchain name, eg: ethereum, bsc, etc
ethereumPossible values: Header parameters
apiKeystringRequired
The API key that was assigned to you by Native
Responses
200
Success
application/json
tokenSymbolstringRead-onlyRequired
inventoryBalanceWeistringRead-onlyRequired
inventoryBalanceEtherstringRead-onlyRequired
baseShortLimitWeistringRead-onlyRequired
baseShortLimitEtherstringRead-onlyRequired
maxBorrowAmountstringRead-onlyRequired
collateralFactorstringRead-onlyRequired
tokenUsdnumberRead-onlyRequired
maxBorrowAmountEthernumberRead-onlyRequired
500
There was an exception with the server
get
/v1/lend/mm-available-borrowExample response
Last updated